Subject: Re: [PATCH net-next 0/3] icmp: Add RFC 5837 support

From: Ido Schimmel <[email-masked]>
Date: Fri, 24 Oct 2025 17:50:56 +0300

On Thu, Oct 23, 2025 at 06:48:57PM -0700, Jakub Kicinski wrote:
> On Wed, 22 Oct 2025 17:38:43 -0700 Jakub Kicinski wrote:
> > On Wed, 22 Oct 2025 18:35:23 +0300 Ido Schimmel wrote:
> > > I will change the test to require at least version 2.1.5. Can you please
> > > update traceroute in the CI and see if it helps?  
> > 
> > Will do but I'm a little behind on everything, so it may be tomorrow 
> > or even Friday. So ignore NIPA for now, worse case we'll follow up.
> 
> Updated now, next run should have it updated.

Thanks!

> Current one has traceroute updated but not traceroute6
> https://netdev-3.bots.linux.dev/vmksft-net/results/354402/27-traceroute-sh/stdout
> 
> This doesn't sound related to the traceroute version tho:
> 
> # 34.51 [+6.48] TEST: IPv4 traceroute with ICMP extensions                          [FAIL]
> # 34.51 [+0.00] Unsupported sysctl value was not rejected

Hmm, which sysctl version do you have?

I have:

$ sysctl --version
sysctl from procps-ng 4.0.4

I just compiled 3.3.17 and I get:

# /home/idosch/tmp/procps-v3.3.17/sysctl -wq net.ipv4.icmp_errors_extension_mask=0x80
sysctl: setting key "net.ipv4.icmp_errors_extension_mask": Invalid argument
# echo $?
0

Which can explain the failure.

Please let me know if that's the issue and if you want me to replace
this with:

echo 0x80 > /proc/sys/net/ipv4/icmp_errors_extension_mask